from django.db import models
from django.contrib.auth.models import User

class Htags(models.Model):
	tag = models.CharField(max_length=256)

class Article(models.Model):
    nom = models.CharField(null=False,max_length=64)
    link = models.CharField(max_length=512)
    tags = models.ManyToManyField(Htags)
    prix = models.FloatField()
    img = models.CharField(max_length=512)
    
class Panier(models.Model):
	articles = models.ForeignKey(Article)
	
class Image(models.Model):
	url = models.CharField(max_length=512)
	htags = models.ForeignKey(Htags)

class Utilisateur(models.Model):
	user = models.OneToOneField(User)
	pseudo = models.CharField(null=False,max_length=17)
	password = password = models.CharField(max_length=16)
	panier = models.OneToOneField(Panier)
	

