#-*- coding: utf-8 -*-
# Create your views here.
import django.contrib.auth as auth
from django.contrib.auth import authenticate, logout
from django.shortcuts import render, redirect
from bidon.formulaires import *
from django.contrib.auth.decorators import login_required
from bidon import sugestions as sug

def home(request):


    path = "home.html"
    try:
        gondole = Product.objects.all()[0]
    except:
        print ""

    try:
        products = Product.objects.all()[1:]
    except:
        products = None
    menu_haut = get_menu_haut()
    return render(request, 'layouts/base.html', locals())


def get_category(request, id):
    menu_haut = get_menu_haut()
    try:
        path = 'category.html'
        category = Category.objects.get(id=id)
        menu_haut = get_menu_haut()
    except:
        path = get404()
    return render(request, 'layouts/base.html', locals())


def get_product(request, id):

    menu_haut = get_menu_haut()
    try:
        path = 'product.html'
        product = Product.objects.get(id=id)
    except:
        path = get404()
        error = "item doesn't exists"

    try:
        calc = list(sug.sugestions[product.name])
        sugestions = []
        i = 0
        for n in calc:
            sugestions.append(Product.objects.get(name=n))
        print sugestions
    except:
        sugestions = []


        categories = product.categories
        menu_haut = get_menu_haut()

    return render(request, 'layouts/base.html', locals())


def login(request):

    path = 'login.html'
    menu_haut = get_menu_haut()
    if request.method == 'POST':
        form = loginForm(request.POST)
        if form.is_valid():
            print "test"
            print form
            username = form.cleaned_data['username']
            password = form.cleaned_data['password']
            print "test"
            user = authenticate(username=username, password=password)
            if user is not None:
                print "test"
                if user.is_active:
                    auth.login(request,user)
                    # Redirect to a success page.
                    return redirect('/bidon/home')
                else:
                    error = "disabled account"
                    path = get404()
                    # Return a 'disabled account' error message
            else:
                error = "other"
                path = get404()

    form = loginForm()

    return render(request, 'layouts/base.html', locals())


@login_required(login_url='/bidon/login/')
def get_basket(request):
    isco = True
    path = 'order.html'
    menu_haut = get_menu_haut()
    return render(request, 'layouts/base.html', locals())


def signout(request):
    isco = True
    menu_haut = get_menu_haut()
    auth.logout(request)
    return redirect('/bidon/home')


def suscribe(request):
    path = 'suscribe.html'
    menu_haut = get_menu_haut()
    form = ClientForm()

    if request.method == 'POST':
        form = ClientForm(request.POST)
        if form.is_valid():
            try:
                form.save()
                redirect('home')
            except Exception as e:
                error = e.message
                path = get404()
    return render(request, 'layouts/base.html', locals())

@login_required(login_url='/bidon/login/')
def buy(request):
    isco = True
    menu_haut = get_menu_haut()
    return render(request, 'layouts/base.html', locals())


def get_menu_haut():
    return [ n for n in Category.objects.all() ]


def get404():
    return "404.html"